Package csb :: Package statistics :: Module scalemixture :: Class ARSPosteriorAlpha

[frames] | no frames]

# Class ARSPosteriorAlpha

source code

     object --+
              |
    ars.LogProb --+
                  |
                 ARSPosteriorAlpha

This class represents the posterior distribution of the alpha parameter of the Gamma and Inverse Gamma prior, and allows sampling using adaptive rejection sampling ARS.

Instance Methods

__call__(self, x) | source code

__init__(self, a, b, n) x.__init__(...) initializes x; see help(type(x)) for signature | source code

initial_values(self, tol=1e-10) Generate initial values by doing fixed point iterations to solve for alpha | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __call__(self, x)
(Call operator)

source code

Overrides: ars.LogProb.__call__

### __init__(self, a, b, n)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)